<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-sequence.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'es',
  ),
  'this' => 
  array (
    0 => 'ds-sequence.map.php',
    1 => 'Ds\\Sequence::map',
  ),
  'up' => 
  array (
    0 => 'class.ds-sequence.php',
    1 => 'Ds\\Sequence',
  ),
  'prev' => 
  array (
    0 => 'ds-sequence.last.php',
    1 => 'Ds\\Sequence::last',
  ),
  'next' => 
  array (
    0 => 'ds-sequence.merge.php',
    1 => 'Ds\\Sequence::merge',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'en',
    'path' => 'reference/ds/ds/sequence/map.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-sequence.map" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Sequence::map</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Sequence::map</span> &mdash; <span class="dc-title">Returns the result of applying a callback to each value</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-sequence.map-description">
  <h3 class="title">Descripción</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">abstract</span> <span class="modifier">public</span> <span class="methodname"><strong>Ds\Sequence::map</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$callback</code></span>): <span class="type"><a href="class.ds-sequence.php" class="type Ds\Sequence">Ds\Sequence</a></span></div>

  <p class="para rdfs-comment">
    Returns the result of applying a <code class="parameter">callback</code> function to
    each value in the sequence.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-ds-sequence.map-parameters">
  <h3 class="title">Parámetros</h3>
  <dl>
   
    <dt><code class="parameter">callback</code></dt>

    <dd>
        <p class="para">
            <div class="methodsynopsis dc-description"><span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$value</code></span>): <span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span></div>

         </p>
         <p class="para">
            A <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> to apply to each value in the sequence.
         </p>

         <p class="para">
            The callable should return what the new value will be in the new sequence.
        </p>
    </dd>

   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-sequence.map-returnvalues">
  <h3 class="title">Valores devueltos</h3>
  <p class="para">
    The result of applying a <code class="parameter">callback</code> to each value in
    the sequence.
  </p>
  <blockquote class="note"><p><strong class="note">Nota</strong>: 
    <p class="para">
        The values of the current instance won&#039;t be affected.
    </p>
  </p></blockquote>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-sequence.map-examples">
  <h3 class="title">Ejemplos</h3>
  <div class="example" id="example-4030">
   <p><strong>Ejemplo #1 <span class="function"><strong>Ds\Sequence::map()</strong></span> example</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$sequence </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Vector</span><span style="color: #007700">([</span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$sequence</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">map</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$value</span><span style="color: #007700">) { return </span><span style="color: #0000BB">$value </span><span style="color: #007700">* </span><span style="color: #0000BB">2</span><span style="color: #007700">; }));<br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$sequence</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>El resultado del ejemplo
sería algo similar a:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Vector Object
(
    [0] =&gt; 2
    [1] =&gt; 4
    [2] =&gt; 6
)
Ds\Vector Object
(
    [0] =&gt; 1
    [1] =&gt; 2
    [2] =&gt; 3
)</pre>
</div>
   </div>
  </div>
 </div>



</div><?php manual_footer($setup); ?>